реклама на сайте
подробности

 
 
4 страниц V   1 2 3 > »   
Reply to this topicStart new topic
> Xilinx Design suite 10.1 под Linux, Кто нибудь юзает?
BlackOps
сообщение May 13 2010, 20:42
Сообщение #1


Знающий
****

Группа: Свой
Сообщений: 618
Регистрация: 7-06-08
Из: USSR
Пользователь №: 38 121



Вот я думаю поставить эту систему под линукс какой нибудь, до того у меня 9.1 версия была (ISE и EDK).. но сейчас почемуто когда я запускаю EDK 9.1 SP2 он мне выдает ошибку: FATAL_ERROR:GuiUtilities:Gq_Application.c:578:1.17

а когда я вручную запускаю файл xpsgui.exe то запускается вроде...но интерфейс какойто урезанный не все кнопки нормально видны...

вобщем думаю 10.1 поставить на Линукс, если кто юзает 10.1 под Линух поделитеь плз какой именно Линух и где нашли крэк? спасибо!


--------------------
Нажми на кнопку - получишь результат, и твоя мечта осуществится
Go to the top of the page
 
+Quote Post
makc
сообщение May 14 2010, 06:01
Сообщение #2


Гуру
******

Группа: Админы
Сообщений: 3 554
Регистрация: 18-10-04
Из: Москва
Пользователь №: 904



Использую ISE 11.5i Linux x86(_64). OS Debian Linux 'Lenny'. Все превосходно работает.


--------------------
BR, Makc
В недуге рождены, вскормлены тленом, подлежим распаду. (с) У.Фолкнер.
Go to the top of the page
 
+Quote Post
BlackOps
сообщение May 14 2010, 06:22
Сообщение #3


Знающий
****

Группа: Свой
Сообщений: 618
Регистрация: 7-06-08
Из: USSR
Пользователь №: 38 121



Цитата(makc @ May 14 2010, 11:01) *
Использую ISE 11.5i Linux x86(_64). OS Debian Linux 'Lenny'. Все превосходно работает.


Спасибо за ответ! А EDK 11.5 насколько я увидел на сайте Хилых содержит в себе как EDK так и ISE так?

Не могли бы Вы помочь с советом где можно достать крэк? Гуглю...не дает результатов..рапидфайлы поиск...тоже самое...

Я так понял дистрибутив 11.5 скачаю с Хилинкса остается только найти крэк?

хотя...я сейчас смотрю немного сложновато будет с XBD файлом для платы XUPV2P... мне бы побыстрй с ней работать приступить... а под нее есть файлы версии 10.1... поэтому было бы здорово если кто подсказал бы где лечилку для 10.1 скачать можно...

беду очень признателен кто скинет мне крэк или лицензионный файл для 10.1 (я тоже планирую запустить EDK и ISE 10.1 под Debian)

К сожалению нет пока 50-ти сообщений чтобы смотреть в ФТП.

а систему 10.1 желательно поставить побыстрей...заранее благодарю кто сможет помочь или скинуть в личку лечилку...

Сообщение отредактировал BlackOps - May 14 2010, 06:59


--------------------
Нажми на кнопку - получишь результат, и твоя мечта осуществится
Go to the top of the page
 
+Quote Post
Vadim
сообщение May 14 2010, 09:25
Сообщение #4


Неиодный дизайнер
*****

Группа: Свой
Сообщений: 1 238
Регистрация: 1-12-04
Из: Минск
Пользователь №: 1 273



Цитата(makc @ May 14 2010, 09:01) *
Использую ISE 11.5i Linux x86(_64). OS Debian Linux 'Lenny'. Все превосходно работает.

Без напильника? И impact тоже?


--------------------
SPECCTRA forever! IO/Designer forever!
Go to the top of the page
 
+Quote Post
yuri_d
сообщение May 14 2010, 09:29
Сообщение #5


Местный
***

Группа: Свой
Сообщений: 292
Регистрация: 28-01-05
Из: МО, Мытищи
Пользователь №: 2 274



Цитата(makc @ May 14 2010, 10:01) *
Использую ISE 11.5i Linux x86(_64). OS Debian Linux 'Lenny'. Все превосходно работает.

А FPGA Editor тоже работает?

У меня Fedora 12 x86_64. Так вот на ней запустить его не получилось. В ISE 12.1 это тоже не работает. А обещанную ещё год назад замену похоже не сделали (или я её найти не могу).
Go to the top of the page
 
+Quote Post
faa
сообщение May 14 2010, 12:09
Сообщение #6


Знающий
****

Группа: Свой
Сообщений: 711
Регистрация: 14-09-06
Из: Москва
Пользователь №: 20 394



Цитата(yuri_d @ May 14 2010, 13:29) *
У меня Fedora 12 x86_64. Так вот на ней запустить его не получилось. В ISE 12.1 это тоже не работает. А обещанную ещё год назад замену похоже не сделали (или я её найти не могу).

12.1 работает на Мандриве 2009.1 x86_64 без костылей, которые нужны были для 10.х и 11.х (LD_PERLOAD и т.п.). И ISE и EDK. PlanAhead еще не пускал - может и заработает.
ЗЫ: Для FPGA Editor openmotif надо поставить.
ЗЫЗЫ: Запустил PlanAhead от 12.1 на х86_64, правда с бубном - хочет libncurses5.so от i586. Пришлось доставлять.

Сообщение отредактировал faa - May 14 2010, 12:52
Go to the top of the page
 
+Quote Post
BlackOps
сообщение May 14 2010, 13:22
Сообщение #7


Знающий
****

Группа: Свой
Сообщений: 618
Регистрация: 7-06-08
Из: USSR
Пользователь №: 38 121



faa, а вы 10.1 запускали? если да могли бы подсказать где нашли лечилку?


--------------------
Нажми на кнопку - получишь результат, и твоя мечта осуществится
Go to the top of the page
 
+Quote Post
wolfman
сообщение May 14 2010, 16:50
Сообщение #8


Знающий
****

Группа: Свой
Сообщений: 513
Регистрация: 15-06-05
Из: Питер
Пользователь №: 6 032



Цитата(BlackOps @ May 14 2010, 22:52) *
faa, а вы 10.1 запускали? если да могли бы подсказать где нашли лечилку?


Я запускал на ALT-Linux 64 бита, правда EDK не пошел, не хватает библиотек. Лечилку не пользовал, ключ на просторах инета находил.


--------------------
Россия это даже не страна.
Россия это секрет, завернутый в загадку и укрытый не проницаемой тайной...
Go to the top of the page
 
+Quote Post
faa
сообщение May 14 2010, 18:28
Сообщение #9


Знающий
****

Группа: Свой
Сообщений: 711
Регистрация: 14-09-06
Из: Москва
Пользователь №: 20 394



Цитата(BlackOps @ May 14 2010, 17:22) *
faa, а вы 10.1 запускали? если да могли бы подсказать где нашли лечилку?

Запускал.
ISE стартует нормально. Для EDK инструкция по запуску. Лечилка не нужна - там ключик при установке. Через осла ищется на раз-два.
Go to the top of the page
 
+Quote Post
BlackOps
сообщение May 15 2010, 18:04
Сообщение #10


Знающий
****

Группа: Свой
Сообщений: 618
Регистрация: 7-06-08
Из: USSR
Пользователь №: 38 121



интересно...обязательно попробую...только вот линукс у меня не Мандрива а Debian... процедера как думаете будет та же?

спасибо!


--------------------
Нажми на кнопку - получишь результат, и твоя мечта осуществится
Go to the top of the page
 
+Quote Post
faa
сообщение May 16 2010, 06:19
Сообщение #11


Знающий
****

Группа: Свой
Сообщений: 711
Регистрация: 14-09-06
Из: Москва
Пользователь №: 20 394



Цитата(BlackOps @ May 15 2010, 22:04) *
интересно...обязательно попробую...только вот линукс у меня не Мандрива а Debian... процедера как думаете будет та же?

ИМХО, Вам лучше поставить тот дистрибутив linux, который рекомендован xilinx (RH или SUSE).
Сразу отпадут вопросы, где взять нужные библиотеки и как их взгромоздить на используемый Вами дистр.
При этом, вместо RH можно поставить CentOS той же версии.
SUSE можно заменить OpenSUSE, но тут возможны пляски с бубном.
Для debian-а процедура похожа, но с либами (где брать и как ставить) Вам придется разбираться самостоятельно или спрашивать дебианщиков, что и как (там есть своя специфика).

Сообщение отредактировал faa - May 16 2010, 06:33
Go to the top of the page
 
+Quote Post
BlackOps
сообщение May 16 2010, 20:20
Сообщение #12


Знающий
****

Группа: Свой
Сообщений: 618
Регистрация: 7-06-08
Из: USSR
Пользователь №: 38 121



Цитата(faa @ May 14 2010, 23:28) *
Запускал.
ISE стартует нормально. Для EDK инструкция по запуску. Лечилка не нужна - там ключик при установке. Через осла ищется на раз-два.


А что именноподразумеваете под "ключом"? Все что я например нашел это то, что при установке надо выбирать этот ключ: 183TAGAPEGR8SA948FPY40A8W, а после этого зайти в accessories-->Update software product configuration и поменять ключ на 1472AKH27AD266UHKE980RNMB, Вы эту операцию проделали?

Если нет не могли бы Вы пожалуйста скинуть ключ который заработал для Вас?

спасибо!


--------------------
Нажми на кнопку - получишь результат, и твоя мечта осуществится
Go to the top of the page
 
+Quote Post
makc
сообщение May 17 2010, 04:15
Сообщение #13


Гуру
******

Группа: Админы
Сообщений: 3 554
Регистрация: 18-10-04
Из: Москва
Пользователь №: 904



Цитата(Vadim @ May 14 2010, 13:25) *
Без напильника? И impact тоже?


Да, без каких-либо напильников. Достаточно установить утилиту fxload для загрузки прошивок USB-кабеля. Правила udev он устанавливает сам. До кучи перед запуском impact не забыть выполнить команду export XIL_IMPACT_USE_LIBUSB=1 в шелле.

Цитата(yuri_d @ May 14 2010, 13:29) *
А FPGA Editor тоже работает?


Работает. Ему не хватает openmotif. После установки openmotif все начинает работать.


--------------------
BR, Makc
В недуге рождены, вскормлены тленом, подлежим распаду. (с) У.Фолкнер.
Go to the top of the page
 
+Quote Post
MKS
сообщение Jan 27 2011, 23:15
Сообщение #14


Местный
***

Группа: Свой
Сообщений: 469
Регистрация: 13-03-05
Пользователь №: 3 315



Здравствуйте.
У меня аналогичная проблема, не запускается fpga_editor. В начале он ругался на отсутствие openmotif и libstdc++5 библиотек, но после их установки выдаёт такое сообщение которое ставит меня в тупик:
Код
Wind/U X-toolkit Error: wuDisplay: Can't open display
Кто нибуть знает что делать дальше ?
OS: Ubuntu 10.10
ISE: 12.4
Заранее спасибо.
Go to the top of the page
 
+Quote Post
makc
сообщение Jan 28 2011, 06:31
Сообщение #15


Гуру
******

Группа: Админы
Сообщений: 3 554
Регистрация: 18-10-04
Из: Москва
Пользователь №: 904



Как Вы запускаете ISE? Переменная среды окружения DISPLAY установлена корректно? Что говорит env?

PS: Посмотрите значение переменной DISPLAY и если она равна :0.0, то установите ее в значение :0 перед запуском fpga_editor. Подробнее об этом написано в http://www.xilinx.com/support/answers/20172.htm


--------------------
BR, Makc
В недуге рождены, вскормлены тленом, подлежим распаду. (с) У.Фолкнер.
Go to the top of the page
 
+Quote Post

4 страниц V   1 2 3 > » 
Reply to this topicStart new topic
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 


RSS Текстовая версия Сейчас: 19th January 2018 - 21:22
Рейтинг@Mail.ru


Страница сгенерированна за 0.0134 секунд с 7
ELECTRONIX ©2004-2016